testing::internal::ParamGenerator< T > Class Template Reference

`#include <gtest.h>`

## Public Types

typedef ParamIterator< T > | iterator

## Public Member Functions

| ParamGenerator (ParamGeneratorInterface< T > *impl)
| ParamGenerator (const ParamGenerator &other)
ParamGenerator & | operator= (const ParamGenerator &other)
iterator | begin () const
iterator | end () const

## Detailed Description

### template<typename T>
class testing::internal::ParamGenerator< T >

Definition at line 10624 of file gtest.h.

## Member Typedef Documentation

## iterator

template<typename T>

typedef ParamIterator<T> testing::internal::ParamGenerator< T >::iterator

Definition at line 10721 of file gtest.h.

## Constructor & Destructor Documentation

## ParamGenerator() [1/2]

template<typename T>

testing::internal::ParamGenerator< T >::ParamGenerator | ( | ParamGeneratorInterface< T > * | impl | ) |

inlineexplicit

Definition at line 10723 of file gtest.h.

## ParamGenerator() [2/2]

template<typename T>

testing::internal::ParamGenerator< T >::ParamGenerator | ( | const ParamGenerator< T > & | other | ) |

inline

Definition at line 10724 of file gtest.h.

## Member Function Documentation

## begin()

template<typename T>

iterator testing::internal::ParamGenerator< T >::begin | ( |  | ) | const

inline

Definition at line 10731 of file gtest.h.

## end()

template<typename T>

iterator testing::internal::ParamGenerator< T >::end | ( |  | ) | const

inline

Definition at line 10732 of file gtest.h.

## operator=()

template<typename T>

ParamGenerator& testing::internal::ParamGenerator< T >::operator= | ( | const ParamGenerator< T > & | other | ) |

inline

Definition at line 10726 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h